Archiware P5 Version 6.0

Find all relevant information and links

New Features

Media Management & Storage License

Double Disk and Cloud Storage

 

For all customers who need more storage space, the update to version 6 doubles the disk and cloud storage limits. E.g. a 25 MMSL bundle used to provide 100TB of disk or cloud storage.

 

With P5 version 6, the same license now provides 200TB. Existing installations will have access to additional storage after upgrading.

Modernised UI Design

The P5 web administration interface benefits from a more modern look and feel.

HTTPS for a Secure Browser GUI

The web admin interface can now use either http or https for added security.

 

Remote administration of P5 via a public network can now be secured through the use of SSL certificates. 

Group Administration

P5 version 6 enables access grants to specific P5 client paths for archive and restore. New 'Groups' allow configuration of paths on different P5 client machines, locations from which data will be archived or restored.

 

This first allows P5 to identify the location of data archived from workstations using the new P5 Companion app. It is also used to grant access to restore locations. P5 Users are added to these groups to allow them to archive.

Disk and Cloud Storage Configuration

Greater Flexibility in Configuration of Disk and Cloud Storage

 

Configured disk/cloud storage no longer consumes storage licenses (MMSL) until it is being used. When adding disk and cloud storage, only volumes onto which data has been written to are taken into account for licensing purposes. E.g. previously, allocating 100TB of disk storage by creating pools and volumes would consume storage licenses, even before any data is written.

 

With version 6, volumes only consume storage licenses when data is first written to them.

 

In addition, setup of cloud storage is simplified, with 100TB of cloud storage configured by default.

Wasabi Hot Cloud Storage

Direct Support for Wasabi Hot Cloud Storage

 

Previously available using the 'Generic S3' storage type, access to Wasabi storage is now built-in to P5. Manual configuration of the Wasabi end-point DNS names is no longer needed.

Cloud Object Storage Classes

New cloud object storage classes supported from different object storage service providers:

 

  • Amazon S3: S3 Standard, S3 Intelligent-Tiering, S3 Standard-IA, S3 One Zone-IA
  • Amazon Glacier: Standard, Deep Archive
  • Google: Standard, Nearline, Coldline
  • Microsoft Azure: Standard Hot, Cool

Re-Introduction of P5 Server on FreeBSD

FreeBSD support was restricted to P5 client installations in previous versions. With version 6, full support is reintroduced.

 

This allows some interesting deployment options for P5 where FreeBSD with ZFS is used as a storage appliance, e.g. FreeNAS.

Requirements & Compatibilities

Requirements - Archiware P5 Version 6.0

Operating System Requirements

macOS X

Intel x86 (64-Bit)
OSX 10.9 – 10.15
Limitations: 
- Backup2Go Server is not supported 
(see Update FAQ for details)

Important note for macOS Mojave 10.14+:
Not all files backing up on macOS Mojave! 
Due to Apple's new privacy restrictions in macOS Mojave 10.14 for files and folders containing personal data, P5 cannot back up some files from apps like Contacts, Photos, and Mail.
Archiware will provide a patch that solves this limitation as soon as possible .

Windows

Server 2012R2
Server 2016
Server 2019
Windows 8.1, 10
Please read before installing!
Limitations: 
- Backup2Go Server is not supported (see Update FAQ for details)
- LTFS Exchange is not yet supported

Linux

Intel x86 64-Bit systems with glibc version 2.15 are supported, including:
- OpenSuSE 12.2+ / SLES 12+
- CentOS 7+ / RHEL 7+ / Fedora 19+
- Ubuntu 12+
- Debian 8+

For B2G repository on btrfs, btrfs 0.19+ is required
For B2G repository on zfs, zfs 0.7+ is required
Limitations:
- As Backup2Go Server Filesystems: Btrfs 0.19+, ZFS 0.7.0+

FreeBSD

Version 11, 12
Intel x86 64-Bit CPU

Synology

DSM operating system 5.2+
Intel x86 64-Bit CPU
Limitations:
- As Backup2Go Server Filesystems: Btrfs 0.19+, ZFS 0.7.0+

QNAP

QTS 4.3.0+
Intel x86 64-Bit CPU
Limitations:
- As Backup2Go Server Filesystems: Btrfs 0.19+, ZFS 0.7.0+
- Tested with: QNAP SAS-12G2E, LSI-9207, LSI-9300

NETGEAR ReadyNAS OS 6.6.0 +
Intel x86 64-Bit CPU
Virtualization x86 – VMware, Parallels, Linux-Xen, Hyper-V

 

 

Operating Systems in Client-Only Mode

Solaris Solaris 10 1/13 s10x_u11wos_24a X86 
(64-Bit only)
Note: Language package Unicode UTF-8 required; Cloud services not supported
client-only mode as of version 5.6.2
(See "Discontinuations" for details)

Space requirements

Memory 2 GB+ available
Hard disk 1 GB for Installation + variable
(for backup/archive indexes)

 

Browser Requirements

Safari 9+
Firefox 31+
Chrome 40+
Internet Explorer 11+

Compatibilites - Archiware P5 Version 6.0

Supported Tape Technologies

  • LTO-1, LTO-2, LTO-3, LTO-4, LTO-5, LTO-6, LTO-7, LTO-8
  • S-AIT 1, 2, 3, 4
  • AIT 1, 2, 3, 4, 5, 6
  • DLT4000-8000
  • SDLT220-600
  • DLT-S4
  • VXA (on request)
  • 8mm
  • DAT

Disk Storage

  • Direct attached storage (DAS)
  • FreeNAS
  • HyperFS
  • MetaSAN 4.5.0.0 (Windows/Linux supported from 4.6.0.0)
  • QNAP NAS
  • RAID
  • Removable Disk (RDX QuikStor)
  • Scale Logic
  • Storage area network (SAN)
  • StorNext
  • Synology NAS (as of P5 Version 5.3.3)
  • SSD
  • Tiger Store
  • Vtrak FS
  • XSAN

Proprietary File Systems

  • Helios (UB, UB+, UB2, UB64)
  • Xinet V14
  • Netatalk 2

Supported Interfaces

  • SAS
  • SCSI
  • iSCSI
  • FibreChannel
  • Firewire
  • USB
  • SATA
  • eSATA
  • Thunderbolt

Supported Cloud Services

  • Amazon S3
  • Amazon Snowball
  • Amazon Glacier
  • Generic S3
  • Microsoft Azure
  • Backblaze B2
  • Google Cloud Storage
  • Wasabi Cloud Storage

Supported platforms include macOS X, Windows, Linux, FreeBSD, QNAP, Synology, and NETGEAR

MAM/DAM Integrations

  • axle
  • Final Cut Server
  • Canto Cumulus
  • CANTEMO
  • CatDV
  • cavok (Peak-14)
  • DALIM ES
  • Editshare
  • empress eMAM
  • FocalPoint Server
  • KeyFlow ADAMS
  • KYNO
  • Metus
  • Primestream FORK
  • Projective Strawberry
  • Xinet

Supported Tape Library Vendors

  • BDT
  • Dell
  • HPE
  • IBM
  • MagStor
  • mLogic
  • NEC
  • Oracle/StorageTek
  • Overland-Tandberg
  • Qualstar
  • Quantum
  • Spectra Logic

Supported Hardware Manufacturers

  • Accusys
  • Apple
  • BDT
  • Bright Technologies Astella
  • DDP
  • Dell
  • Drobo (as a disk)
  • Facilis
  • FAST LTA
  • G-Technology
  • HPE
  • IBM
  • LaCie
  • mLogic
  • NEC
  • NetApp
  • Netgear
  • Object Matrix
  • Overland-Tandberg
  • Promise
  • QNAP (as of P5 version 5.5.3)
  • Qualstar
  • Quantum
  • Samsung
  • Scale Logic
  • Sonnet
  • Spectra Logic
  • Starline
  • Sun/Oracle
  • Synology (as of P5 Version 5.3.3)
  • ToolsOnAir just:store

Upgrade FAQ

Important Notes for Upgrading to P5 Version 6.x

1. New user and group administration

In previous versions of P5, the user and password were authenticated by the operating system. As of version 6, authentication takes place against users and passwords stored in the P5 configuration. Therefore passwords must be set within the P5 administration after an upgrade.

  • The new 'admin' account
    If it doesn't already exist, a user named 'admin' with password 'admin' is added following an upgrade to version 6. The login screen prompts to use this account initially. New installations also include this 'admin' user. Logging in as 'admin' allows creation of new users and groups.
    Change this default password directly after the update. Within the P5 admin GUI, you can change the password for the current user via the 'P5' menu - top right.
     
  • Passwords for existing users
    All users already created in version 5.x are still available after updating to version 6. Any username previously used to login will have been added to the user list. Passwords for each of these users should be set by double clicking on the user in the list.
     
  • P5 server-client authentication
    Since the new user management is also used for P5 client/server connections, any P5 clients that your P5 server connects to will also need to have a password set on the client side, and the client connection setting updated on the server.
    Login to the P5 admin GUI on each P5 client using the 'admin' user after upgrade. Select 'Agent Setup' from the 'P5' menu and then 'User Preferences' to the left. Set a password for the user used by the server to connect. Update the client settings on the server to use this new password.

2. From version 6 on, the original owners, groups and access permissions are recovered during restore. In comparison, in version 5 the GUI user was entered as owner and groups. (If the GUI user was known as a user on the target system of the restore.)

3. The automatic P5 client update function has been removed. Clients must now be updated manually.

4. The possibility of a specified or dedicated restore path has been removed from the user and client settings. These configuration items have been moved to the group settings.

5. The operating system groups in the login areas and archive plans are created as new groups in P5 during the update. The users already created are assigned to these new groups.

macOS Catalina 10.15

Due to Apple's new privacy restrictions in macOS Catalina 10.15 for files and folders containing personal data, P5 cannot back up some files from apps like Contacts, Photos, and Mail. To allow Archiware P5 to access private data again, please follow the instructions in this Knowledge Base article.

FAQ - Updating to Archiware P5 Version 6.0

What is new in Archiware P5 Version 6.0?

For more information about Version 6.0, please refer to the New Features page.
Important information about platform and module limitations can be found on the Discontinuations page.

Which PresSTORE or Archiware P5 versions can directly update to Version 6.0?
  • Only Version 5.x can be updated directly to Version 6.0.
  • Version 4.4 need to be updated to Version 5.1 first. 
    For more details please refer to Upgrade FAQ 5.1.
  • Older versions need to be updated to Version 4.4.x. first. 
    For more details please refer to Upgrade FAQ 4.4.

 

Note: Support for PresSTORE 4 (P4) backup and archive indexes is discontinued in version P5 5.6 and later.

Who is entitled to an Update free of charge?

The update is free of charge for all customers who:

  • purchased or registered P5 after January 27th, 2019 or
  • had active Software Maintenance on January 28th, 2020.

 

Validity of the Software Maintenance Agreements can be verified in the Archiware Portal.

 How much does it cost to update an installation when Software Maintenance is expired?

Updates are available through the Archiware Software Maintenance. For all licenses that ran out of maintenance, a reactivation of Software Maintenance is possible. It covers two major aspects: access to the latest software version and access to manufacturer support. Prices depend on how long the maintenance is expired:

  • Expiration <1 year:   35% of the license price according to the current price list
  • Expiration <2 years: 60% of the license price according to the current price list
  • Expiration <3 years: 70% of the license price according to the current price list

 

The reactivated maintenance is valid for 12 months, starting on the 1st of the month following the Archiware invoice date.

For more details about Archiware Software Maintenance & Support please refer to the Maintenance & Support.

Where can I get a quote for reactivation of Archiware Software Maintenance?

In order to receive a Software Maintenance reactivation quote, please contact your local reseller or request one through the Archiware Portal.

Which preparations should be made before the Update?
  • Make sure you meet the System Requirements.
  • Make sure that a required platform or function has not been discontinued.
  • Make sure you are eligible for the required license (point 3/4) or request a corresponding quote (point 5).
  • Read the Important Notes for important information regarding any necessary changes in the affected installations.
  • For safety purposes, please make a copy of the installation directory!
Do I need new license keys for the Update and where can I get them?

Since the introduction of Version 4.3, the maintenance expiration date is part of the license key. All installations with an up-to-date key and a valid Software Maintenance Agreement do not need a new license key.

Installations without an up-to-date key have to request one through the Archiware Portal.

What are the system requirements for P5 Version 6.0?

On this dedicated page, you will find all information about System Requirements for P5 Version 6.0.

Which features of previous versions are no longer available in P5 Version 6.0?

On this dedicated page, you will find all information about Discontinuations for P5 Version 6.0. Please read the Important Notes for important information regarding any necessary changes in the affected installations.

What technical effort is required for the Update?

An update from Version 5.x installation is comparable to a new installation.

The installer automatically detects an existing version and executes all necessary changes in the application and its configuration. Please check if it might be necessary to take precautions for a downgrade (see point 13). For security reasons, please create a copy of your installation directory.

Important Note for updating from 5.2 and previous releases: In some rare cases, a full backup may be necessary for P5 Backup. Therefore, the first backup after the upgrade will require the appropriate amount of time and backup capacity. The reason for this is that any missing drive information is mandatory in Version 6.0.

Do all clients/agents have to be updated to P5 Version 6.0 as well?

Yes, Version 6.0 has to be installed on all servers, workstations and virtual server agents. Please read the Important Notes for information regarding any necessary changes in the affected installations.

Will all my settings remain intact when updating?

Yes, all settings remain intact when installing P5 Version 6.0.

Is it possible to downgrade to a previous version after updating to P5 Version 6.0?

After upgrading from Version 5.5/6, a downgrade back to 5.5/6 is possible with the following limitation:

  • All P5 Server and Workstation Agents have to be downgraded as well

 

After updating from Version 5.1 - 5.4:

  • For P5 Backup and P5 Archive, a downgrade is not possible.
    Note: Please refer to the necessary preparations described in point 6. 
    In case it is necessary to re-activate Version 5.x, this can only be done through a new installation and a subsequent restore of the configuration from a security copy made previously.
  • For P5 Synchronize and P5 Backup2Go, a downgrade back is possible.
  • All P5 Server and Workstation Agents have to be downgraded as well.

 

After upgrading from Version 4.4:

  • For P5 Backup and P5 Archive, a downgrade is not possible.
    Note: Please refer to the necessary preparations described in point 6.
    In case it is necessary to re-activate Version 4.4, this can only be done through a new installation and a subsequent restore of the configuration from a security copy made previously.

Upgrading from Archiware P4

Files stored with P4 can be restored through P5, but only with reduced functionality and without search capabilities.

P5 Backup: After having upgraded to P5 Backup, a full backup run is required.
Please be sure to schedule backup time and capacity accordingly.

P5 Archive: P5 Archive requires a conversion of the P4 archive index. To do so, each archive index has to be converted within the administration section of P5. Depending on the size of the index as well as computing power, this process can take anything between minutes and hours.

For more details, please read the P5 Upgrade Guide.

Downloads

ARCHIWARE P5 Version 6.0.2 - Server & Client
ARCHIWARE P5 Version 6.0.2 - Client only!

Add-Ons

P5 Companion App Version 1.0

P5 Version Archive

Version 6.1

Information and Downloads for Version 6.1

Version 6.0

Information and Downloads for Version 6.0

Version 5.6

Information and Downloads for Version 5.6

Version 5.5

Information and Downloads for Version 5.5

Version 5.4

Information and Downloads for Version 5.4

Version 5.3

Information and Downloads for P5 Version 5.3

Version 5.2

Information and Downloads for P5 Version 5.2

Version 5.1

Information and Downloads for P5 Version 5.1

Version 5.0

Version 5.0 is no longer available.
It has been replaced by compulsory upgrade Version 5.1 which is identical in functionality.

Version 4.4

Information and Downloads for PresSTORE P4 Version 4.4